
%global meadversion 1.1.7
%global namedversion 1.1.7.SP1-redhat-1
%global meadalpha .SP1_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead

%define maven_version 1.1.7.SP1-redhat-1

Name:             jboss-msc
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss Modular Service Container
Group:            Development/Libraries

%if %with mead
Source100: jboss-msc-1.1.7.SP1-redhat-1-scm-sources.zip
Source102: jboss-msc-1.1.7.SP1-redhat-1-sources.jar
Source103: jboss-msc-1.1.7.SP1-redhat-1-javadoc.jar
Source104: jboss-msc-1.1.7.SP1-redhat-1.pom
Source105: jboss-msc-1.1.7.SP1-redhat-1-project-sources.tar.gz
Source106: jboss-msc-1.1.7.SP1-redhat-1.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-msc

%if %without mead
# git clone git://github.com/jbossas/jboss-msc.git
# cd jboss-msc && git archive --format=tar --prefix=jboss-msc-1.0.1.GA/ 1.0.1.GA | xz > jboss-msc-1.0.1.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
%endif

BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:    jpackage-utils
%if %without mead
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    javassist
BuildRequires:    jboss-parent
BuildRequires:    junit4
BuildRequires:    byteman
BuildRequires:    jboss-logging
BuildRequires:    jboss-vfs
BuildRequires:    jboss-threads
BuildRequires:    jboss-logging-tools
BuildRequires:    maven-injection-plugin
BuildRequires:    jboss-modules
BuildRequires:    apiviz

Requires:         jboss-logging-tools
Requires:         jboss-vfs
Requires:         jboss-logging
#Optional:         byteman
Requires:         javassist
%endif
Requires:         jpackage-utils


%description
This package contains the JBoss Modular Service Container

NOTE: Add byteman to the classpath if you plan on using that with jboss-msc.

%if %without mead
%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.
%endif

%prep
%if %without mead
%setup -q -n %{name}-%{namedversion}
%endif

%build
%if %without mead
# Many tests fail
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate
%endif

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
%if %without mead
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
%else
cp -p %{_sourcedir}/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
%endif

%if %without mead
# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
%if %without mead
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%else
install -pm 644 %{_sourcedir}/%{name}-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%endif

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}*/*

%if %without mead
%files javadoc
%{_javadocdir}/%{name}
%endif

%changelog
* Tue Feb 07 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.7-1.SP1_redhat_1.1
- Upgrade to 1.1.7.SP1

* Tue Jun 07 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.6-1.Final_redhat_1.1
- Upgrade to 1.1.6.Final

* Thu Mar 20 2014 Yong Yang <yyang@redhat.com> - 1.1.5-1.Final_redhat_1.1
- Upgrade to 1.1.5.Final

* Thu Mar 20 2014 Yong Yang <yyang@redhat.com> - 1.1.5-1.Final_redhat_1.1
- Upgrade to 1.1.5.Final

* Sun Feb 17 2013 Hui Wang <huwang@redhat.com> - 1.0.4-1.GA_redhat_1
- Upgrade to 1.0.4.GA

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> - 1.0.3-1.GA_redhat_1
- Upgrade to 1.0.3.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-3.GA_redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.2-2.GA_redhat_2.2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_2.2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_1.2.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-1.GA_redhat_1.2.1
- Rebuild using cache signing

* Wed Feb 22 2012 Fernando Nasser <fnasser@redhat.com> 1.0.2-1.GA_redhat_1.2
- Rebuild for javadir-signed population

* Mon Feb 20 2012 Hui Wang <huwang@redhat.com> 1.0.2-1.GA_redhat_1
- Upgrade to 1.0.2.GA

* Thu Jan 12 2012 Fernando Nasser <fnasser@redhat.com> 1.0.1-1
- Wrap MEAD build for EAP 6

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.1-1
- Upstream release: 1.0.1.GA
- Cleaned spec file

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

